#include <stdio.h>
#include <stdlib.h>

void exemple(unsigned n) {
    if (n != 0) {
        putchar('>');
        exemple(n-1);
        putchar('<');
    } else {
        putchar('O');
    }
}

int main(void) {
    exemple(5);
    return EXIT_SUCCESS;
}